#include <stdio.h>

void minimax(int a[], int n, int * min, int * max);

int main()
{
   int a[100];
   int i,n;
   int min, max;

   scanf("%d", &n);

   for(i = 0; i < n; i++)
     scanf("%d", &a[i]);

   minimax(a, n, &min, &max);

   printf("%d %d\n", min, max);

   return 0;
}
